VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
TextEditListenerAdapter Class Reference
Inheritance diagram for TextEditListenerAdapter:

## Public Member Functions
void | onTextEditPlatformControlTookFocus (CTextEdit *textEdit) override
| called when the native platform text edit control was created and started to listen for keyboard input.
void | onTextEditPlatformControlLostFocus (CTextEdit *textEdit) override
| called when the natvie platform text edit control is going to be destroyed.

## Member Function Documentation

void onTextEditPlatformControlLostFocus | ( | CTextEdit * | textEdit | ) |
| inline override virtual

called when the natvie platform text edit control is going to be destroyed.

Implements ITextEditListener.

void onTextEditPlatformControlTookFocus | ( | CTextEdit * | textEdit | ) |
| inline override virtual

called when the native platform text edit control was created and started to listen for keyboard input.

Implements ITextEditListener.

The documentation for this class was generated from the following file:

- itexteditlistener.h